Index: debian/README.Debian
===================================================================
--- debian/README.Debian	(revision 94cb84ffc3d6a344edabba7722281fd740e6bde4)
+++ debian/README.Debian	(revision c6e0eef7d5727052b0c40f29e63dc33101b63068)
@@ -1,3 +1,3 @@
-owl for Debian
+barnowl for Debian
 --------------
 
@@ -5,3 +5,5 @@
 zephyr clients, which may make it simpler to get started as a user.
 
- -- Mark W. Eichin <eichin@thok.org>, Tue, 23 Apr 2002 01:58:14 -0400
+Barnowl is a fork of owl with Jabber support.
+
+ -- Sam Hartman <hartmans@debian.org>, Sat,  3 Mar 2007 14:49:31 -0500
Index: debian/barnowl.dirs
===================================================================
--- debian/barnowl.dirs	(revision c6e0eef7d5727052b0c40f29e63dc33101b63068)
+++ debian/barnowl.dirs	(revision c6e0eef7d5727052b0c40f29e63dc33101b63068)
@@ -0,0 +1,1 @@
+usr/bin
Index: debian/barnowl.install
===================================================================
--- debian/barnowl.install	(revision c6e0eef7d5727052b0c40f29e63dc33101b63068)
+++ debian/barnowl.install	(revision c6e0eef7d5727052b0c40f29e63dc33101b63068)
@@ -0,0 +1,3 @@
+usr/bin/barnowl
+usr/share/man/man1/barnowl.1
+usr/share/barnowl
Index: debian/compat
===================================================================
--- debian/compat	(revision c6e0eef7d5727052b0c40f29e63dc33101b63068)
+++ debian/compat	(revision c6e0eef7d5727052b0c40f29e63dc33101b63068)
@@ -0,0 +1,1 @@
+4
Index: debian/control
===================================================================
--- debian/control	(revision 94cb84ffc3d6a344edabba7722281fd740e6bde4)
+++ debian/control	(revision c6e0eef7d5727052b0c40f29e63dc33101b63068)
@@ -1,15 +1,18 @@
-Source: owl
+Source: barnowl
 Section: net
 Priority: optional
-Maintainer: Mark W. Eichin <eichin@thok.org>
-Build-Depends: debhelper (>> 3.0.0), libzephyr-dev (>= 2.1.20010518.SNAPSHOT-7), libncurses5-dev, libkrb5-dev, libperl-dev
+Maintainer: Sam Hartman <hartmans@debian.org>
+Build-Depends: debhelper (>> 4.0.0), libzephyr-dev (>= 2.1.20010518.SNAPSHOT-7), libncurses5-dev, libkrb5-dev, libperl-dev
 Standards-Version: 3.5.2
 
-Package: owl
+Package: barnowl
 Architecture: any
-Depends: ${shlibs:Depends}, zephyr-clients
-Description: A curses-based tty Zephyr client.
+Depends: ${shlibs:Depends}, 
+Recommends: zephyr-clients
+Description: A curses-based tty Jabber and Zephyr client.
  An alternative standalone (doesn't use zwgc) Zephyr (instant
- messaging) client.  Has perl hooks and a curses UI.
+ messaging) client.  Also supports Jabber.
+ Much of the functionality is written in Perl, which is supported as 
+ an extension language.
  .
  ktools software -- The 'k' is for Quality!
Index: bian/dirs
===================================================================
--- debian/dirs	(revision 94cb84ffc3d6a344edabba7722281fd740e6bde4)
+++ 	(revision )
@@ -1,1 +1,0 @@
-usr/bin
Index: debian/rules
===================================================================
--- debian/rules	(revision 94cb84ffc3d6a344edabba7722281fd740e6bde4)
+++ debian/rules	(revision c6e0eef7d5727052b0c40f29e63dc33101b63068)
@@ -6,6 +6,4 @@
 #export DH_VERBOSE=1
 
-# This is the debhelper compatibility version to use.
-export DH_COMPAT=3
 
 # These are used for cross-compiling and for saving the configure script
@@ -15,10 +13,12 @@
 
 
-ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -g
+ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -O2
 endif
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
 endif
+
+	CFLAGS += -g
 
 config.status: configure
@@ -56,6 +56,7 @@
 
 	# Add here commands to install the package into debian/owl.
-	# $(MAKE) install prefix=$(CURDIR)/debian/owl/usr
-	cp owl $(CURDIR)/debian/owl/usr/bin/
+	 $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
+
+	dh_install --sourcedir=debian/tmp --fail-missing $(EXCLUDE)
 
 # Build architecture-independent files here.
@@ -71,13 +72,6 @@
 	dh_installexamples
 	dh_installmenu
-#	dh_installlogrotate
-#	dh_installemacsen
-#	dh_installpam
-#	dh_installmime
-#	dh_installinit
-	dh_installcron
-	dh_installman doc/owl.1
+	dh_installman 
 	dh_installinfo
-#	dh_undocumented
 	dh_installchangelogs ChangeLog
 	dh_link
@@ -87,5 +81,5 @@
 #	dh_makeshlibs
 	dh_installdeb
-#	dh_perl
+	dh_perl
 	dh_shlibdeps
 	dh_gencontrol
